Apache Version 2.2.2 not found!

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache Version 2.2.2 not found!

Postby sirgazil » 06. October 2006 02:29

I have installed xampp-win32-1.5.4, but when I tried to install xampp-tomcat-addon-5.5.17-2.2.2 the installer displays a window with the following:

Apache Version 2.2.2 not found! Need XAMPP 1.5.3 or higher

So, I don't understand.

NOTE: I have used the Installer version for both xampp and tomcat.

Thank you!
sirgazil
 
Posts: 1
Joined: 06. October 2006 02:18
Location: Colombia

Re: Apache Version 2.2.2 not found!

Postby Izzy » 06. October 2006 07:16

sirgazil wrote:I have installed xampp-win32-1.5.4, but when I tried to install xampp-tomcat-addon-5.5.17-2.2.2 the installer displays a window with the following:

Apache Version 2.2.2 not found! Need XAMPP 1.5.3 or higher

So, I don't understand.

NOTE: I have used the Installer version for both xampp and tomcat.

Thank you!

Did you read this thread after doing a search for "tomcat" using the Forum: XAMPP for Windows and the Category: Apache Friends in English?
http://community.apachefriends.org/f/viewtopi ... ght=tomcat

I installed Tomcat using the 7Zip version which did recognise the 1.5.4 version of XAMPP with 2.2.3 Apache. So it is in the installation methods used by the bat files that need to be addressed by the developers. Something is not quite right with it.

I take it you installed the Java SDK that is a prerequisite of the Tomcat plugin. The JRE (Java Run Time) is not enough and would not be recognised.

You will have to do some tweaking to get it installed.
I tried to remember what I did but unfortunately I have alzheimer's ;).

Post back if you still can't install with the 7Zip and I will install it again on my test box noting how I did it.

Thats the best I can suggest at the moment.

In the readme file:
http://www.apachefriends.org/winxampp/r ... tomcat.txt
Add-on Tomcat 5.5.17 (for Apache 2.2.2 = XAMPP 1.5.3)

=> Tomcat 5.5.17
=> mod_jk/1.2.15
=> addon needs 20 MB free space on disk


In the Xampp for Windows addons web page:
http://www.apachefriends.org/en/xampp-windows.html#644
Tomcat 5.5.17 and mod_jk/1.2.15 for the XAMPP base packages 1.5.3 & 1.5.4(a). NEEDED SUN J2SE SDK 5.0. The Addon Installer is build for the XAMPP Installer Version only.
See also README


In the Xampp version 1.5.4a:
http://www.apachefriends.org/en/xampp-windows.html#641
Apache HTTPD 2.2.3, MySQL 5.0.24a, PHP 5.1.6 + 4.4.4 + PEAR + Switch, MiniPerl 5.8.7, Openssl 0.9.8d, phpMyAdmin 2.9.0.1, XAMPP Control Panel 2.3, Webalizer 2.01-10, Mercury Mail Transport System für Win32 und NetWare Systems v4.01a, FileZilla FTP Server 0.9.18, SQLite 2.8.15, ADODB 4.91, Zend Optimizer 3.0.1, XAMPP Security. For Windows 98, 2000, XP. See also README

Even blind Freddy can see that version 1.5.4a has Apache 2.2.3 but the developers seem not to be able to see it when it comes to the Tomcat addon documentation and installation. ;)
Izzy
 
Posts: 3344
Joined: 25. April 2006 17:06


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 42 guests